> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Asset from Wallet

> This endpoint is used to delete a specific asset from a wallet.



## OpenAPI

````yaml delete /v1/wallets/{walletId}/assets/{assetId}
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/assets/{assetId}:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: YOUR_WALLET_ID
      - name: assetId
        in: path
        required: true
        schema:
          type: string
          example: WALLET_ASSET_ID
    delete:
      tags:
        - Asset
      summary: Remove Asset from Wallet
      description: This endpoint is used to delete a specific asset from a wallet.
      operationId: removeAssetFromWallet
      requestBody:
        content:
          application/json:
            examples:
              Remove Asset from Wallet:
                value: ''
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      asset:
                        type: object
                        properties:
                          address:
                            type: string
                            example: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                          createdAt:
                            type: string
                            example: '2024-05-14T14:53:33.682Z'
                          decimals:
                            type: number
                            example: 6
                          id:
                            type: string
                            example: fe04a28c-c615-4e41-8eda-f84c862864f5
                          isActive:
                            type: boolean
                            example: true
                          name:
                            type: string
                            example: USDC Coin
                          network:
                            type: string
                            example: testnet
                          symbol:
                            type: string
                            example: USDC
                          updatedAt:
                            type: string
                            example: '2024-05-27T12:24:11.951Z'
                      createdAt:
                        type: string
                        example: '2024-05-26T08:11:43.129Z'
                      id:
                        type: string
                        example: c4c26507-207b-4070-b968-31171881c227
                      isActive:
                        type: boolean
                        example: false
                      updatedAt:
                        type: string
                        example: '2024-06-06T09:41:26.431Z'
                  message:
                    type: string
                    example: Asset removed successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                '200':
                  value:
                    data:
                      asset:
                        address: '0x1c7D4B196Cb0C7B01d743Fbc6116a902379C7238'
                        createdAt: '2024-05-14T14:53:33.682Z'
                        decimals: 6
                        id: fe04a28c-c615-4e41-8eda-f84c862864f5
                        isActive: true
                        name: USDC Coin
                        network: testnet
                        symbol: USDC
                        updatedAt: '2024-05-27T12:24:11.951Z'
                      createdAt: '2024-05-26T08:11:43.129Z'
                      id: c4c26507-207b-4070-b968-31171881c227
                      isActive: false
                      updatedAt: '2024-06-06T09:41:26.431Z'
                    message: Asset removed successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````